function Pzn=D2Dmap(Pz,Nz,Dz,cond)             % 디지털 영역 대역 변환 사상 수행 함수

N=length(Pz)-1;                                % 다항식의 차수
if cond==1
    ord=N*(length(Nz)-1);                      % 변환 다항식의 차수 설정(분자) 
elseif cond==2
    ord=N*(length(Dz)-1);                      % 변환 다항식의 차수 설정(분모)
end
Pzn=zeros(1,ord+1);                            % 변환 다항식 초기화
for k=0:N
   pln=[1];                                    % 변환 사상 분자 다항식 계수 초기화
   for m=0:k-1
      pln=conv(pln,Nz);                        % 변환 사상 분자 다항식 계수 계산
   end   
   pld=[1];                                    % 변환 사상 분모 다항식 계수 초기화
   for m=0:N-k-1
      pld=conv(pld,Dz);                        % 변환 사상 분모 다항식 계수 계산
   end   
   Pzn=Pzn+Pz(k+1)*conv(pln,pld);              % 변환 다항식 계산
end
